Bug 90433 - Playback of above url via ogg123 is much faster than with xmms
Playback of above url via ogg123 is much faster than with xmms
Product: Fedora
Classification: Fedora
Component: vorbis-tools (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
Depends On:
  Show dependency treegraph
Reported: 2003-05-08 03:30 EDT by Yusuf Goolamabbas
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: fedora core 2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-23 09:56:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Yusuf Goolamabbas 2003-05-08 03:30:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030504
Mozilla Firebird/0.6

Description of problem:
Download the vorbis file from the above url and play it back via
ogg123 <path-to-file>

It sounds much more high pitched and faster, 
The same track played via xmms sounds normal

The above url was constructed from the flacs described in this post on the
hydrogenaudio forum


It doesn't matter if I use sox to convert to mono or whether I use oggenc to
downmix, ogg123 seems to have some issues playing back mono tracks

I am using a Gigabyte GA-8SG800 motherboard with an onboard SiS7012 PCI Audio

hwbrowser says the driver is i810_audio

Output from /sbin/lspci is

00:00.0 Host bridge: Silicon Integrated Systems [SiS]: Unknown device 0648 (rev
00:01.0 PCI bridge: Silicon Integrated Systems [SiS] SiS 530 Virtual PCI-to-PCI
bridge (AGP)
00:02.0 ISA bridge: Silicon Integrated Systems [SiS] 85C503/5513 (rev 04)
00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE]
00:02.7 Multimedia audio controller: Silicon Integrated Systems [SiS] SiS7012
PCI Audio Accelerator (rev a0)
00:03.0 USB Controller: Silicon Integrated Systems [SiS] SiS7001 USB Controller
(rev 0f)
00:03.1 USB Controller: Silicon Integrated Systems [SiS] SiS7001 USB Controller
(rev 0f)
00:03.2 USB Controller: Silicon Integrated Systems [SiS] SiS7001 USB Controller
(rev 0f)
00:03.3 USB Controller: Silicon Integrated Systems [SiS] SiS7002 USB 2.0
00:0b.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100] (rev 08)
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R200 QL [Radeon
8500 LE]

Output of /sbin/lsmod is

Module                  Size  Used by    Not tainted
sd_mod                 13516   0 (autoclean)
radeon                116132   0
i810_audio             27720   0 (autoclean)
ac97_codec             13640   0 (autoclean) [i810_audio]
soundcore               6404   2 (autoclean) [i810_audio]
iptable_filter          2412   0 (autoclean) (unused)
ip_tables              15096   1 [iptable_filter]
e100                   60740   1
sg                     36524   0 (autoclean)
sr_mod                 18136   0 (autoclean)
ide-scsi               12208   0
ide-cd                 35708   0
cdrom                  33728   0 [sr_mod ide-cd]
usb-storage            69268   0
scsi_mod              107160   5 [sd_mod sg sr_mod ide-scsi usb-storage]
keybdev                 2944   0 (unused)
mousedev                5492   2
hid                    22148   0 (unused)
input                   5856   0 [keybdev mousedev hid]
ehci-hcd               19976   0 (unused)
usb-ohci               21480   0 (unused)
usbcore                78816   1 [usb-storage hid ehci-hcd usb-ohci]
ext3                   70784  10
jbd                    51892  10 [ext3]

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Download vorbis file from URL
2. Play via ogg123
3. Play via xmms

Compare the sound

You can also rip a track from a CD via cdparanoia and then either convert to
mono via sox (sox input.wav -c 1 output.wav) or use oggenc to downmix. The same
behaviour is shown


Actual Results:  the playback from ogg123 is very squealish, high pitched, as if
the playback is at a very fast rate

Expected Results:  playback from ogg123 and xmms should be identical

Additional info:
Comment 1 Bill Nottingham 2003-05-18 20:20:48 EDT
IIRC, libao sets the sound device to mono output, and doesn't check that the
i810 driver chokes on that. ICBW, I'll try and look into it.
Comment 2 Ali Ebrahim 2003-11-07 20:49:58 EST
I can reproduce this bug on a stock install of Fedora Core 1. Playback
via ogg123 of a mono track is fast, whereas playback via xmms is normal.
Comment 3 Yusuf Goolamabbas 2003-11-07 22:04:50 EST
Changing product to Fedora Core, can't get the number '1' in the drop
down menu for version, therefore keeping it at 9
Comment 4 Colin Walters 2004-09-21 22:21:00 EDT
The file isn't available anymore at the provided URL, can you
re-upload it somewhere?

Also, have you had a chance to try this with FC2 or even FC3 test 2?
Comment 5 Marcin Garski 2004-09-23 09:23:34 EDT
Maybe try this one:
I don't know if this is the same file, but IMHO it is.
Comment 6 Ali Ebrahim 2004-09-23 09:38:14 EDT
Yeah, it's the same file. The FLAC source is no longer online though.
But I don't think it really makes a difference, since it shouldn't be
required to triage this bug. If it's required, let me know and I can
upload it somewhere.

I can't test this anymore because I no longer have access to a Fedora
Core system.

Someone should probably update the URL field in the bug with the
correct URI.
Comment 7 Yusuf Goolamabbas 2004-09-23 09:56:57 EDT
File plays correctly with ogg123 and xmms in fc2 
closing bug

Note You need to log in before you can comment on or make changes to this bug.